[alpine-aports] [PATCH] testing/mmh: update configure flags

Sören Tempel
Details
Message ID
<1441577244-10050-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1441577244
DKIM signature
missing
Download raw message
Patch: +12 -2
Also store configurations in a dedicated directory.
---
 testing/mmh/APKBUILD | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

diff --git a/testing/mmh/APKBUILD b/testing/mmh/APKBUILD
index 5c76241..fa89588 100644
--- a/testing/mmh/APKBUILD
+++ b/testing/mmh/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Sören Tempel <soeren+alpine@soeren-tempel.net>
 pkgname=mmh
 pkgver=0.1
-pkgrel=0
+pkgrel=1
 pkgdesc="MUA for users who like the unix philosophy"
 url="http://marmaro.de/prog/mmh/"
 arch="all"
@@ -18,6 +18,8 @@ source="http://marmaro.de/prog/${pkgname}/files/${pkgname}-${pkgver}.tar.gz
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
 	cd "$_builddir"
+	update_config_sub || return 1
+
 	local i=
 	for i in $source; do
 		case $i in
@@ -28,7 +30,15 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./configure --prefix=/usr
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc/$pkgname \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
 	make || return 1
 }
 
-- 
2.5.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---